// *******************************************************************
//Website:  http://wch.cn
//Email:    tech@wch.cn
//Author:   W.ch 2007.6
// *******************************************************************

/* CH432оƬ ģSPIӵӲ V1.0 */
/* ṩI/Oӿӳ,ṩĴдӳ */

/* еӲӷʽ(ʵӦõ·Բ޸弰ӳ) */
/* Ƭ    CH432оƬ
      P1.4                 SCS#
      P1.5                 SDI
      P1.6                 SDO
      P1.7                 SCK      */

sbit    P14                 =    P1^4;
sbit    P15                 =    P1^5;
sbit    P16                 =    P1^6;
sbit    P17                 =    P1^7;
#define CH432_SPI_SCS            P14    /* ٶCH432SCS */
#define CH432_SPI_SDI            P15    /* ٶCH432SDI */
#define CH432_SPI_SDO            P16    /* ٶCH432SDO */
#define CH432_SPI_SCK            P17    /* ٶCH432SCK */

void CH432_PORT_INIT( )    /* ʹͨI/OģSPIдʱ,Խгʼ */
{
    CH432_SPI_SCS = 1;
    CH432_SPI_SCK = 1;
}

void Spi432OutByte( UINT8 d )    /* SPI8λ */
{
    UINT8 i;
    for ( i = 0; i < 8; i ++ ) 
    {
        CH432_SPI_SCK = 0;
        if ( d & 0x80 ) CH432_SPI_SDI = 1;
        else CH432_SPI_SDI = 0;
        d <<= 1;    /* λǸλǰ */
        CH432_SPI_SCK = 1;    /* CH432ʱز */
    }
}

UINT8 Spi432InByte( void )    /* SPI8λ */
{
    UINT8 i, d;
    d = 0;
/* SPISDOSDIһI/OţôڴøI/OΪ */
    for ( i = 0; i < 8; i ++ ) 
    {
        CH432_SPI_SCK = 0;      /* CH432ʱ½ */
        d <<= 1;                /* λǸλǰ */
        if ( CH432_SPI_SDO ) d ++;
        CH432_SPI_SCK = 1;
    }
    return( d );
}

void Spi432Start( UINT8 addr )    /* SPIʼ */
{
/* ˫I/OģSPIӿ,ôȷѾSPI_SCS,SPI_SCK,SPI_SDIΪ,SPI_SDOΪ뷽 */
    CH432_SPI_SCS = 0;    /* SPIƬѡЧ */
    Spi432OutByte( addr );
}

#define Spi432Stop( )    { CH432_SPI_SCS = 1; }    /* SPI */



